function qingjiejie2_touch(npcId)

     --NPC朝向
     --local x,z = npc.GetAt(npcId)
     npc.TurnToPlayer(npcId)
     global.WaitForNpcTurn(npcId)

if flag.GetValue(51234)==1 then--情姐姐召唤

     flag.SetValue(51234,2)
	 ui.Popo(170804,1,npcId,0)
	 ui.Popo(170805,1,npcId,0)
	 wt(0.5)
	 ui.Popo(170806,1,npcId,0)
	 wt(0.5)
	 player.AddItem(3221,4,0)--得到4个金元丹
	 ui.Message(170807)
	 wt(0.5)
	 ui.Popo(170808,1,npcId,0)
	 wt(0.5)
	 ui.Popo(170809,1,npcId,0)
	 ui.Popo(170810,1,npcId,0)
	 npc.TurnTo(npcId,0,1)
     global.WaitForNpcTurn(npcId)
	 ui.Message(170811)
	 	 
else

	 ui.Popo(170801,1,npcId,0)
	 
	 --商店选择
	 ui.PopoChoose(1004,8000,33104,3,1005,1006,1008)
    
end	
   
end